gi-atk-2.0.27: Atk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Atk.Objects.Misc

Contents

- Exported types
- Methods
  - getInstance
  - threadsEnter
  - threadsLeave

Description

A set of ATK utility functions for thread locking

A set of utility functions for thread locking. This interface and all his related methods are deprecated since 2.12.

Synopsis

- newtype Misc = Misc (ManagedPtr Misc)
- class (GObject o, IsDescendantOf Misc o) => IsMisc o
- toMisc :: (MonadIO m, IsMisc o) => o -> m Misc
- miscGetInstance :: (HasCallStack, MonadIO m) => m Misc
- miscThreadsEnter :: (HasCallStack, MonadIO m, IsMisc a) => a -> m ()
- miscThreadsLeave :: (HasCallStack, MonadIO m, IsMisc a) => a -> m ()

# Exported types

newtype Misc Source #

Memory-managed wrapper type.

Constructors

Misc (ManagedPtr Misc) |

#### Instances

Instances details

Eq Misc Source # |
Instance details Defined in GI.Atk.Objects.Misc Methods (==) :: Misc -> Misc -> Bool Source # (/=) :: Misc -> Misc -> Bool Source #
GObject Misc Source # |
Instance details Defined in GI.Atk.Objects.Misc
ManagedPtrNewtype Misc Source # |
Instance details Defined in GI.Atk.Objects.Misc Methods toManagedPtr :: Misc -> ManagedPtr Misc Source #
TypedObject Misc Source # |
Instance details Defined in GI.Atk.Objects.Misc Methods glibType :: IO GType Source #
HasParentTypes Misc Source # |
Instance details Defined in GI.Atk.Objects.Misc
IsGValue (Maybe Misc) Source # | Convert `Misc` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Atk.Objects.Misc Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe Misc -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe Misc) Source #
type ParentTypes Misc Source # |
Instance details Defined in GI.Atk.Objects.Misc type ParentTypes Misc = '[Object]

class (GObject o, IsDescendantOf Misc o) => IsMisc o Source #

Type class for types which can be safely cast to `Misc`, for instance with `toMisc`.

#### Instances

Instances details

(GObject o, IsDescendantOf Misc o) => IsMisc o Source # |
Instance details Defined in GI.Atk.Objects.Misc

toMisc :: (MonadIO m, IsMisc o) => o -> m Misc Source #

Cast to `Misc`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, threadsEnter, threadsLeave, unref, watchClosure.

#### Getters

getData, getProperty, getQdata.

#### Setters

setData, setDataFull, setProperty.

## getInstance

miscGetInstance Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m Misc | Returns: The singleton instance of AtkMisc for this application.

Deprecated: Since 2.12.

Obtain the singleton instance of AtkMisc for this application.

Since: 1.13

## threadsEnter

miscThreadsEnter Source #

Arguments

:: (HasCallStack, MonadIO m, IsMisc a) |
=> a | `misc`: an AtkMisc instance for this application.
-> m () |

Deprecated: Since 2.12.

Take the thread mutex for the GUI toolkit, if one exists. (This method is implemented by the toolkit ATK implementation layer; for instance, for GTK+, GAIL implements this via GDK_THREADS_ENTER).

Since: 1.13

## threadsLeave

miscThreadsLeave Source #

Arguments

:: (HasCallStack, MonadIO m, IsMisc a) |
=> a | `misc`: an AtkMisc instance for this application.
-> m () |

Deprecated: Since 2.12.

Release the thread mutex for the GUI toolkit, if one exists. This method, and atk_misc_threads_enter, are needed in some situations by threaded application code which services ATK requests, since fulfilling ATK requests often requires calling into the GUI toolkit. If a long-running or potentially blocking call takes place inside such a block, it should be bracketed by atk_misc_threads_leave/atk_misc_threads_enter calls. (This method is implemented by the toolkit ATK implementation layer; for instance, for GTK+, GAIL implements this via GDK_THREADS_LEAVE).

Since: 1.13